package com.qiuguo.iot.third.enums;

/**
 * @author simon
 * @create 2023-09-21 10:57
 */
public enum WeatherEnum {
    //退款申请状态 0:待申请, 1:申请成功, 2:退款成功
    QUERY_TYPE_1(1, "按小时查询"),
    QUERY_TYPE_2(2, "按天查询"),
    QUERY_MIN_SIZE(1, "1"),
    QUERY_HOUR_MAX_SIZE(360, "360小时"),
    QUERY_DAY_MAX_SIZE(15, "15天"),
    ;

    public final String name;
    public final Integer code;

    WeatherEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return this.code;
    }
    public String getName() {
        return name;
    }
}